import { OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { NgmAppearance, NgmDSCoreService } from '@metad/ocap-angular/core';
import { DataSettings, Dimension, DisplayBehaviour, FilterOperator, FilterSelectionType, IMember, ISlicer, PresentationEnum, PropertyHierarchy, TreeSelectionMode } from '@metad/ocap-core';
import { ControlOptions } from '../types';
import * as i0 from "@angular/core";
export declare class NgmValueHelpComponent implements OnInit {
    #private;
    dialogRef?: MatDialogRef<NgmValueHelpComponent>;
    _data?: {
        dsCoreService: NgmDSCoreService;
        dataSettings: DataSettings;
        dimension: Dimension;
        options: ControlOptions;
        slicer: ISlicer;
    };
    DISPLAY_BEHAVIOUR: typeof DisplayBehaviour;
    FilterSelectionType: typeof FilterSelectionType;
    TreeSelectionMode: typeof TreeSelectionMode;
    PresentationEnum: typeof PresentationEnum;
    eFilterOperator: typeof FilterOperator;
    eDisplayBehaviour: typeof DisplayBehaviour;
    private dsCoreService?;
    get dataSettings(): DataSettings;
    set dataSettings(value: DataSettings);
    private dataSettings$;
    get dimension(): Dimension;
    set dimension(value: Dimension);
    private _dimension;
    options: ControlOptions;
    appearance: NgmAppearance;
    slicer: ISlicer;
    /**
     * Bind Slicer to only take its members attribute
     */
    get slicerModel(): ISlicer;
    set slicerModel(value: ISlicer);
    get showAllMember(): boolean;
    set showAllMember(value: boolean);
    get onlyLeaves(): boolean;
    set onlyLeaves(value: boolean);
    get excludeSelected(): boolean;
    set excludeSelected(value: boolean);
    get selectionType(): FilterSelectionType;
    set selectionType(value: FilterSelectionType);
    get treeSelectionMode(): TreeSelectionMode;
    set treeSelectionMode(value: TreeSelectionMode);
    presentation: PresentationEnum;
    expandAvailables: boolean;
    readonly displayBehaviour: import("@angular/core").Signal<DisplayBehaviour>;
    readonly hierarchy: import("@angular/core").Signal<string>;
    readonly entityType: import("@angular/core").Signal<import("@metad/ocap-core").EntityType>;
    readonly hierarchies: import("@angular/core").Signal<PropertyHierarchy[]>;
    get selectedMembers(): IMember[];
    get data(): {
        dsCoreService: NgmDSCoreService;
        dataSettings: DataSettings;
        dimension: Dimension;
        options: ControlOptions;
        slicer: ISlicer;
    };
    readonly memberForm: FormGroup<{
        type: FormControl<"Caption" | "UniqueName">;
        value: FormControl<string>;
        operator: FormControl<FilterOperator>;
    }>;
    constructor(dialogRef?: MatDialogRef<NgmValueHelpComponent>, _data?: {
        dsCoreService: NgmDSCoreService;
        dataSettings: DataSettings;
        dimension: Dimension;
        options: ControlOptions;
        slicer: ISlicer;
    });
    ngOnInit(): void;
    setDisplayBehaviour(value: DisplayBehaviour): void;
    setHierarchy(hierarchy: string): void;
    deleteMember(i: any): void;
    clearSelection(): void;
    addMember(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmValueHelpComponent, [{ optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmValueHelpComponent, "ngm-value-help", never, { "dataSettings": { "alias": "dataSettings"; "required": false; }; "dimension": { "alias": "dimension"; "required": false; }; "options": { "alias": "options"; "required": false; }; "appearance": { "alias": "appearance"; "required": false; }; }, {}, never, never, true, never>;
}
